
Database - Bug #2636

JDBC connection leak

08/12/2015 09:59 AM - Eric Faulhaber

Status: Closed Start date: 08/11/2015

Priority: High Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 08/12/2015 10:18 AM - Eric Faulhaber

We are leaking JDBC connections under certain conditions, when a user context is cleaned up. Persistence$Context.cleanup() was not closing the

currently open Hibernate session in some cases, leaving database connections checked out of the connection pool. Under conditions where this

happened repeatedly, we eventually would exhaust the pool.

Created branch 2636a, based on trunk revision 10919. Fix is committed as branch rev. 10920 and is under regression test.

#2 - 08/13/2015 12:41 AM - Eric Faulhaber

The update has passed regression testing and was merged to trunk rev. 10920. The branch was archived. A merge notice was sent to the

development team.

#3 - 08/13/2015 12:41 AM - Eric Faulhaber

- Status changed from WIP to Closed

- % Done changed from 0 to 100

#4 - 11/16/2016 12:06 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features
